The ConnectConfigurations resource methods enable you to configure the DocuSign Connect service associated with an account.
Methods supported
| Method | Description |
|---|---|
| create | POST /restapi/v2/accounts/{accountId}/connectCreates a connect configuration for the specified account. |
| delete | DEL /restapi/v2/accounts/{accountId}/connect/{connectId}Deletes the specified connect configuration. |
| get | GET /restapi/v2/accounts/{accountId}/connect/{connectId}Get information on a Connect Configuration |
| list | GET /restapi/v2/accounts/{accountId}/connectGet Connect Configuration Information |
| listUsers | GET /restapi/v2/accounts/{accountId}/connect/{connectId}/usersReturns users from the configured Connect service. |
| update | PUT /restapi/v2/accounts/{accountId}/connectUpdates a specified Connect configuration. |
ConnectConfigurations properties
| Property | Type | Description |
|---|---|---|
allowEnvelopePublish | string | When set to true, data is sent to the urlToPublishTo web address. This option can be set to false to stop sending data while maintaining the Connect configuration information. |
allUsers | string | When set to true, the tracked envelope and recipient events for all users, including users that are added a later time, are sent through Connect. |
configurationType | string | If merge field’s are being used, specifies the type of the merge field. The only supported value is salesforce. |
connectId | string | Read only: the DocuSign generated ID for the Connect configuration. |
enableLog | string | This turns Connect logging on or off. When set to true, logging is turned on. |
envelopeEvents | string | A comma separated list of Envelope related events that are tracked through Connect. The possible event values are: Sent, Delivered, Completed, Declined, and Voided. |
includeCertificateOfCompletion | string | When set to true, the Connect Service includes the Certificate of Completion with completed envelopes. |
includeCertSoapHeader | string | |
includeDocumentFields | string | When set to true, the Document Fields associated with the envelope’s documents are included in the notification messages. Document Fields are optional custom name-value pairs added to documents using the API. |
includeDocuments | string | When set to true, Connect will send the PDF document along with the update XML. |
includeEnvelopeVoidReason | string | When set to true, Connect will include the voidedReason for voided envelopes. |
includeHMAC | string | |
includeSenderAccountasCustomField | string | When set to true, Connect will include the sender account as Custom Field in the data. |
includeTimeZoneInformation | string | When set to true, Connect will include the envelope time zone information. |
name | string | The name of the Connect configuration. The name helps identify the configuration in the list. |
recipientEvents | string | A comma separated list of Recipient related events that will trigger a notification to your webhook Connect listener. The possible event values are: Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded. |
requiresAcknowledgement | string | #### When set to true, and SIM mode is activated: If the HTTP Status response to a notification message is not in the range of 200-299 then the message delivery failed, and the configuration is marked as down. The message will be queued and retried once per day. While a Connect configuration is marked down, subsequent notifications will not be tried, they’ll be immediately queued with reason “Pending.” Once a message succeeds, all queued messages for the configuration will be tried immediately, in order. There is a maximum of ten retries Alternately, you can use Republish Connect Information to manually republish the notification. #### When set to true, and SIM mode is not activated: If the HTTP Status response to a notification message is not in the range of 200-299 then the message delivery failed, and the message is queued. The message will be retried after at least a day the next time a subsequent message is successfully sent to this configuration (subscription). Subsequent notifications will be tried when they occur. There is a maximum of ten retries Alternately, you can use Republish Connect Information to manually republish the notification. |
signMessageWithX509Certificate | string | When set to true, Mutual TLS will be enabled for notifications. Mutual TLS must be initiated by the listener (the customer’s web server) during the TLS handshake protocol. |
soapNamespace | string | The namespace of the SOAP interface. The namespace value must be set if useSoapInterface is set to true. |
urlToPublishTo | string | The endpoint to which webhook notification messages are sent via an HTTPS POST request. The url must start with https. The customer’s web server must use an SSL/TLS certificate whose CA is in the Microsoft list of trusted CAs. Self-signed certificates are not ok. Free certificates from Let’s Encrypt can be used. |
userIds | string | A comma separated list of userIds. This sets the users associated with the tracked envelope and recipient events. When a tracked event occurs for a set user, the a notification message is sent to your Connect listener. ###### Note: If allUsers is set to false then you must provide a list of user ids. |
useSoapInterface | string | When set to true, indicates that the urlToPublishTo property contains a SOAP endpoint. |